﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;
using Infragistics.Windows.Controls;
using WpfApplication7;

namespace GridsCell
{
    public partial class MainWindow : Window
    {
        private readonly ObservableCollection<Data> gridSource;
        private int i = 0;
        private readonly TabItem1 tabItem1;

        public MainWindow()
        {
            InitializeComponent();

            var tabs = new ObservableCollection<TabItemEx>();
            TabControl.ItemsSource = tabs;

            gridSource = new ObservableCollection<Data>();

            for (i = 0; i < 10; i++)
            {
                gridSource.Add(new Data
                {
                    Name1 = i.ToString()
                });
            }

            tabItem1 = new TabItem1 {Source = gridSource};
            tabs.Add(new TabItemEx
                     {
                         Header = "Tab 1",
                         Content = tabItem1
                     });

        }
    }


    public class Data : INotifyPropertyChanged
    {
        public String Name1 { get; set; }

        private String name2;
        public String Name2 { get { return name2; } set { name2 = value; PropertyChanged(this, new PropertyChangedEventArgs("Name2")); } }
        public String Name3 { get; set; }
        public String Name4 { get; set; }
        public String Name5 { get; set; }
        public String Name6 { get; set; }
        public String Name7 { get; set; }
        public String Name8 { get; set; }
        public String Name9 { get; set; }
        public String Name10 { get; set; }
        public String Name11 { get; set; }
        public String Name12 { get; set; }
        public String Name13 { get; set; }
        public String Name14 { get; set; }
        public String Name15 { get; set; }
        public String Name16 { get; set; }
        public String Name17 { get; set; }
        public String Name18 { get; set; }
        public String Name19 { get; set; }
        public String Name20 { get; set; }
        public String Name21 { get; set; }
        public String Name22 { get; set; }
        public String Name23 { get; set; }
        public String Name24 { get; set; }
        public String Name25 { get; set; }
        public String Name26 { get; set; }
        public String Name27 { get; set; }
        public String Name28 { get; set; }
        public String Name29 { get; set; }
        public String Name30 { get; set; }
        public event PropertyChangedEventHandler PropertyChanged = delegate {};

    }
}
